Bug 355201 - Suspend-to-ram no longer resumes
Summary: Suspend-to-ram no longer resumes
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Fedora
Classification: Fedora
Component: pm-utils   
(Show other bugs)
Version: rawhide
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Phil Knirsch
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-10-27 13:58 UTC by Brian G. Anderson
Modified: 2015-03-05 01:19 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-03-05 15:21:00 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
output of /var/log/pm-suspend.log (2.87 KB, text/plain)
2007-10-27 14:21 UTC, Brian G. Anderson
no flags Details

Description Brian G. Anderson 2007-10-27 13:58:02 UTC
Description of problem:
I have a Dell Lattitude D620 with an Nvidia card.  I'm running Fc8t3 updated to
latest development.  First of all suspend has disappeared from the power applet.
 There is still pm-suspend which seems to suspend the machine fine.  However,
upon resume the machine is active but the screen is blank.  I can ssh into the
machine, but cannot get the screen active.  When I kill the X session the system
hangs.  I can't find anything relevant in the logs.

I'm using the "nv" driver.

Suspend used to work fine up until about 5 days ago.  So much has been changing
I can't tell if it was a kernel, pm-utils, or X change.


Version-Release number of selected component (if applicable):
kernel  2.6.23.1-35.fc8
pm-utils-0.99.4-6.fc8

How reproducible:
every attempt at resume

Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

Comment 1 Brian G. Anderson 2007-10-27 14:21:35 UTC
Created attachment 240421 [details]
output of /var/log/pm-suspend.log

Comment 2 Brian G. Anderson 2007-10-27 14:28:07 UTC
I tried "setenforce 0" and I tried stopping X first. Still blank screen.  Also
when I stopped X and suspend/resume then I couldn't ssh into the system either.

Comment 3 Will Woods 2007-10-27 16:29:20 UTC
Did suspend/resume *ever* work on your system in rawhide? We've disabled suspend
on machines with nvidia video because of bugs in the nv driver that prevent it
from resuming properly.

For details, see here: http://katzj.livejournal.com/407566.html


Comment 4 Brian G. Anderson 2007-10-28 23:42:11 UTC
Actually, suspend/resume is very reliable on my D620 using the NV driver.  It
was the nvidia driver that always gave me problems.  I have recently found out
that I need to add ALLOW_NV_SUSPEND="yes" to a file in /etc/pm/config.d to
reenable suspend for nv graphics.  I've done this and suspend/resume works again.

The confusing thing is that without this special kung-fu move, pm-suspend does
do a suspend, but doesn't resume properly.  Shouldn't pm-suspend be disabled too
with some kind of warning message?

Comment 5 Till Maas 2007-12-30 20:01:23 UTC
(In reply to comment #4)

> The confusing thing is that without this special kung-fu move, pm-suspend does
> do a suspend, but doesn't resume properly.  Shouldn't pm-suspend be disabled too
> with some kind of warning message?

Afaik pm-suspend is not intended to be run directly except for testing purposes.

echo 'ALLOW_NV_SUSPEND="yes"' >> /etc/pm/config.d/00-allow-nv-suspend

help you?

Comment 6 Till Maas 2007-12-30 20:11:34 UTC
Oh, my comment #5 was incomplete. The "help you?" should read "Does this help you?".

Comment 7 Till Maas 2008-03-05 15:21:00 UTC
This bug cannot be fixed without having more information (see comment #5).


Note You need to log in before you can comment on or make changes to this bug.